<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence du fichier src/main.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier main.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>L'exécutable du projet.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;automate.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Graphe des dépendances par inclusion de main.c:</div>
<div class="dyncontent">
<div class="center"><img src="main_8c__incl.png" border="0" usemap="#src_2main_8c" alt=""/></div>
<map name="src_2main_8c" id="src_2main_8c">
<area shape="rect" title="L&#39;exécutable du projet." alt="" coords="7,5,90,32"/>
<area shape="rect" title=" " alt="" coords="5,80,92,107"/>
</map>
</div>
</div>
<p><a href="main_8c_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:abf9e6b7e6f15df4b525a2e7705ba3089"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089">main</a> (int argc, char const *argv[])</td></tr>
<tr class="memdesc:abf9e6b7e6f15df4b525a2e7705ba3089"><td class="mdescLeft">&#160;</td><td class="mdescRight">Le programme principale (l'exécutable)  <a href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089">Plus de détails...</a><br /></td></tr>
<tr class="separator:abf9e6b7e6f15df4b525a2e7705ba3089"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>L'exécutable du projet. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Nicolas Zhou (<a href="#" onclick="location.href='mai'+'lto:'+'nic'+'ol'+'as.'+'zh'+'ou@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">nicol<span style="display: none;">.nosp@m.</span>as.z<span style="display: none;">.nosp@m.</span>hou@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2019-10-04</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2019 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="main_8c_source.html">main.c</a>.</p>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="abf9e6b7e6f15df4b525a2e7705ba3089"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf9e6b7e6f15df4b525a2e7705ba3089">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Le programme principale (l'exécutable) </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>Le nombre d'argument passé en paramètre plus le nom du fichier </td></tr>
    <tr><td class="paramname">argv</td><td>La liste des arguments passé en paramètre </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="main_8c_source.html#l00024">24</a> du fichier <a class="el" href="main_8c_source.html">main.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="main_8c_abf9e6b7e6f15df4b525a2e7705ba3089_cgraph.png" border="0" usemap="#main_8c_abf9e6b7e6f15df4b525a2e7705ba3089_cgraph" alt=""/></div>
<map name="main_8c_abf9e6b7e6f15df4b525a2e7705ba3089_cgraph" id="main_8c_abf9e6b7e6f15df4b525a2e7705ba3089_cgraph">
<area shape="rect" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,531,56,558"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="109,183,278,210"/>
<area shape="rect" href="fichier__configuration_8c.html#a0747aaffe60671eda2ba956722a8c191" title="Retourne l&#39;attribut &quot;enregistrer_image&quot;." alt="" coords="567,31,718,58"/>
<area shape="rect" href="fichier__configuration_8c.html#afef69ee54144409041ea66d6e1185312" title="Retourne l&#39;attribut &quot;nb_etat&quot;." alt="" coords="597,234,688,260"/>
<area shape="rect" href="automate_8c.html#ab13ad43eea87c41a9a080239a0887a7f" title="Fonction générique perrmettant d&#39;afficher dans le terminal avec des symboles (ex: X,..." alt="" coords="332,634,512,676"/>
<area shape="rect" href="automate_8c.html#a9fdbceb307999d064bf86f99d3598539" title="Affiche les attributs de la structure automate_cell." alt="" coords="332,466,512,508"/>
<area shape="rect" href="automate_8c.html#a5739d8a1c873eea2c0a1099cc20ea7ef" title="Fonction generique permettant d&#39;afficher differemment l&#39;automate." alt="" coords="133,683,253,710"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="366,284,478,311"/>
<area shape="rect" href="fichier__configuration_8c.html#ad80bfd5b28d3fc81e66d83fa23690e88" title="Créer un pointeur de pointeur de structure fichier_configuration à partir du nom du fichier que l&#39;éxe..." alt="" coords="107,734,279,760"/>
<area shape="rect" href="automate_8c.html#aa3ba78ebbf6cec54e6e4e0fa0fced8ee" title="Désaloue la mémoire des attributs de la structure automate_cell, la structure elle même et son pointe..." alt="" coords="134,531,253,558"/>
<area shape="rect" href="fichier__configuration_8c.html#a8e23c05945f10746ec4182b61123af00" title="Déalou la mémoire utilisé par la structure fichier_configuration ainsi que ses attributs." alt="" coords="104,784,283,811"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="391,700,453,727"/>
<area shape="rect" href="image_8c.html#af3ac482597fe1d1d8fdad40e3119b896" title="Crée un fichier image au format (.pgm) ainsi qu&#39;un pointeur de fichier." alt="" coords="375,31,469,58"/>
<area shape="rect" href="fichier__configuration_8c.html#ae0ce5e18cc06c038b2ae5ab594e5e9e7" title="Retourne l&#39;attribut &quot;regle&quot;." alt="" coords="605,170,680,196"/>
<area shape="rect" href="image_8c.html#a9aac53703bab191011d8c1b8ec52b630" title="Ecrit les données d&#39;une image PGM dans un format ASCII (nombre magique P2)." alt="" coords="346,401,498,442"/>
<area shape="rect" href="image_8c.html#a15ea0f80adae8f83b853c427a2254ae8" title="Ecrit les données d&#39;une image PGM dans un format binaire (nombre magique P5)" alt="" coords="346,336,498,377"/>
<area shape="rect" href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb" title="Ecrit dans l&#39;en&#45;tête de l&#39;image passé en paramètres les éléments définit au préalable dans le fichier..." alt="" coords="353,183,491,210"/>
<area shape="rect" href="fichier__configuration_8c.html#af66f6107d4b7f6e4de23bd6f697ccaf8" title="Retourne l&#39;attribut &quot;nb_magique&quot;." alt="" coords="584,94,701,120"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="597,447,688,474"/>
<area shape="rect" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="599,396,686,423"/>
<area shape="rect" href="fichier__configuration_8c.html#a50675bf48ff97d3282760437d7e9c69e" title="Retourne l&#39;attribut &quot;cellule_symbole&quot;." alt="" coords="573,599,713,626"/>
<area shape="rect" href="regle_8c.html#ab5f4f5a6960efe9d383d86c67c4f7190" title="Retourne l&#39;attribut &quot;numero_binaire&quot;." alt="" coords="575,498,710,524"/>
<area shape="rect" href="regle_8c.html#abb64bb8f15528e167294857d015a193a" title="Retourne l&#39;attribut &quot;numero_decimale&quot;." alt="" coords="568,548,717,575"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="599,346,686,372"/>
<area shape="rect" href="fichier__configuration_8c.html#a21bb44a3b30408468720e6eb6eaa60ac" title="Retourne l&#39;attribut &quot;emplacement_initial&quot;." alt="" coords="561,284,724,311"/>
<area shape="rect" href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da" title="Créer un tableau de configuration pour deux etats." alt="" coords="808,472,916,499"/>
<area shape="rect" href="regle_8c.html#ac7b95dee8a7e84ea3037cb05a7c963f5" title="Créer un tableau de configuration avec plus de 3 etats." alt="" coords="805,320,919,347"/>
<area shape="rect" href="utils_8c.html#a3b7908e8916a52b84521dfee1c9fa0d3" title="Convertit un nombre binaire en decimal." alt="" coords="799,371,925,398"/>
<area shape="rect" href="regle_8c.html#a012109f6ea56e4d9315d79f8a8f3f8e0" title="Créer un tbleau de configuration en fonction du nombre d&#39;état possible." alt="" coords="772,422,952,448"/>
<area shape="rect" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376" title="Créer une structure configuration en initialisant ses valeurs à 0." alt="" coords="1000,500,1131,527"/>
<area shape="rect" href="utils_8c.html#a24de25c90e051b42fa3d59a7814b0b7c" title="Convertir un nombre decimal entre 0 et 256 en binaire." alt="" coords="1002,450,1129,476"/>
<area shape="rect" href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01" title="Initialise les valeurs pour une structure configuration donnée." alt="" coords="1006,661,1125,702"/>
<area shape="rect" href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d" title="Initialise la valeurs de sortie pour une structure configuration donnée." alt="" coords="1006,337,1125,378"/>
<area shape="rect" href="fichier__configuration_8c.html#aaa4841f314f9c7b1eb6130886505c149" title="Lire les valeurs des paramètres du fichier de configuration (ASCII) passé en paramètre." alt="" coords="331,751,513,778"/>
<area shape="rect" href="regle_8c.html#a12710fa473da40d460ea41037c23ade9" title="Desallouer la memoire de la regle." alt="" coords="376,532,468,559"/>
<area shape="rect" href="regle_8c.html#a46e5c74eda89fcaf925f91806d5bf86c" title="Retourne l&#39;attribut &quot;nombre_etat&quot;." alt="" coords="583,852,702,879"/>
<area shape="rect" href="regle_8c.html#a73aeb391bdf6be3f730c3d725360257a" title="Trouve la valeur de la sortie de la configuration passé en paramètre à partir d&#39;une configuration ide..." alt="" coords="563,700,722,727"/>
<area shape="rect" href="regle_8c.html#ad852e50dfdd6aa3660731b37de177d2c" title="Trouve la valeur de la sortie a partir de l&#39;indice donnee en parametre." alt="" coords="583,751,703,778"/>
<area shape="rect" href="configuration_8c.html#ab64d6ac48d2c2034a1f505bc2d174154" title="Compare uniquement les valeurs des états de gauche, du centre et de droite entre conf1 et conf2." alt="" coords="823,700,901,727"/>
<area shape="rect" href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af" title="Retourne l&#39;attribut etat_sortie." alt="" coords="808,751,916,778"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
